/**
 *
 */
package com.pcloud.book.book.dto;

import com.pcloud.common.dto.BaseDto;

/**
 * @描述：
 * @作者：songx
 * @版本：1.0
 */
public class BookTypeDto extends BaseDto {

    /**
     *
     */
    private static final long serialVersionUID = 6221787754027320599L;

    /**
     * 书籍类型标识
     */
    private Long bookTypeId;

    /**
     * 类型编码
     */
    private String typeCode;

    /**
     * 类型名称
     */
    private String typeName;

    /**
     * 书刊数量
     */
    private Integer count;

    /**
     * 百分比
     */
    private Double percent;

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public Double getPercent() {
        return percent;
    }

    public void setPercent(Double percent) {
        this.percent = percent;
    }

    public Long getBookTypeId() {
        return bookTypeId;
    }

    public void setBookTypeId(Long bookTypeId) {
        this.bookTypeId = bookTypeId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Override
    public String toString() {
        return "BookTypeDto [bookTypeId=" + bookTypeId + ", typeCode=" + typeCode + ", typeName=" + typeName + "]";
    }

}
